package market.Qms.qcm.mapper;

import java.util.List;

import market.Qms.qcm.vo.JhySampleConsignD;

import com.hnshituo.orm.GenericMapper;


public interface JhySampleConsignDMapper extends GenericMapper<JhySampleConsignD, String> {

	/**
	 * 获取委托从表信息
	 * @param string2 
	 * @param string 
	 * @param string2 
	 * @param string 
	 * @return
	 */
	 List<JhySampleConsignD> QuerybySql(int beginindex, int endindex,String starttime,String endtime,String SMP_NO,String HEAT_NO,String BATCH_NO,String CONTRACT_LINE_NO, String CERTINSTCODE,String STATUS);

	/**
	 * 获取材质委托编号编号
	 * @return
	 */
	public String GetMaxCode();
	
	
	/**
	 * 自动接口获取材质委托编号编号
	 * @return
	 */
	public String GetMaxCodeZd(int seq);
	
	/**
	 * 获取成分委托编号
	 * @return
	 */
	public String GetMaxCode2();
	
	
	public String GetMaxCode3();
	
	
	
	/**
	 * 自动接口获取成分委托编号
	 * @return
	 */
	public String GetMaxCode3Zd(int seq);
	
	/**
	 * 获取检验项目流水号
	 * @return
	 */
	public String	GetMaxSEQ( String SPECIMENNO);
	
	
	/**
	 * 插入检验项
	 * @return
	 */
	public JhySampleConsignD	GetChemBysql( String smp_no,String rate);
	
	/**
	 * 插入检验项
	 * @param specimenNo 
	 * @return
	 */
	
	public void doInsertDItem(String specimen_no,String seq, String specimenNo);
	
	public void doInsertDItem2(String specimen_no,String seq,String PHY_CODE_S);
	
	//删除检验项
	public void dodeleteDItem(String specimen_no);
	
	//删除委托从表
	
	public void dodeleteDp(String specimen_no);

	
	//发送
	public void doSendDp(String specimenNo);
	
	
	public List<JhySampleConsignD> QuerySpecbySql(String HEAT_NO,String CERT_INST_CODE,String smp_type_code, String contract_line_no,String freq_code);
	
	public List<JhySampleConsignD> QuerySpecbySqlP(String batch_no,String CERT_INST_CODE,String smp_type_code, String contract_line_no,String freq_code);
	
	public List<JhySampleConsignD> QueryItmebySql(String smp_no,String specimen_no);
	
    public List<JhySampleConsignD> doSelectPhyDitem(String smp_no);
	
}
